composer: qgis freezes when pasting a map legend item

2015-12-18 02:33 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 22018

Description

Since 2.12, pasting a map legend item onto a new composer window freezes QGIS, and the only way to get it unfreezed is to kill it. The

gdb trace is as follow:

#0  0x00007ffff63999c9 in QHash<QString, QgsExpressionContextScope::StaticVariable>::createNode (this=0xc22dad8,

ah=37064350, akey=..., 

    avalue=..., anextNode=0x2148d78) at /usr/include/qt4/QtCore/qhash.h:548

#1  0x00007ffff63985bf in QHash<QString, QgsExpressionContextScope::StaticVariable>::insert (this=0xc22dad8, akey=...,

avalue=...)

    at /usr/include/qt4/QtCore/qhash.h:763

#2  0x00007ffff638ff97 in QgsExpressionContextScope::addVariable (this=0xc22dad0, variable=...)

    at /home/webmaster/dev/cpp/QGIS/src/core/qgsexpressioncontext.cpp:92

#3  0x00007ffff6391f24 in QgsExpressionContextUtils::globalScope () at

/home/webmaster/dev/cpp/QGIS/src/core/qgsexpressioncontext.cpp:460

#4  0x00007ffff66369ab in QgsComposition::createExpressionContext (this=0xb1c1ca0)

    at /home/webmaster/dev/cpp/QGIS/src/core/composer/qgscomposition.cpp:3427

#5  0x00007ffff6587b84 in QgsComposerObject::createExpressionContext (this=0xbca3090)

    at /home/webmaster/dev/cpp/QGIS/src/core/composer/qgscomposerobject.cpp:201

#6  0x00007ffff65c7dea in QgsComposerMapGrid::createExpressionContext (this=0xbca3090)

    at /home/webmaster/dev/cpp/QGIS/src/core/composer/qgscomposermapgrid.cpp:2240

#7  0x00007ffff65bfb8f in QgsComposerMapGrid::draw (this=0xbca3090, p=0x7fffffffb0b0)

    at /home/webmaster/dev/cpp/QGIS/src/core/composer/qgscomposermapgrid.cpp:677

#8  0x00007ffff65b77d7 in QgsComposerMapItemStack::drawItems (this=0xbc53480, painter=0x7fffffffb0b0)

    at /home/webmaster/dev/cpp/QGIS/src/core/composer/qgscomposermapitem.cpp:200

#9  0x00007ffff65a9230 in QgsComposerMap::paint (this=0xbca03f0, painter=0x7fffffffb0b0, itemStyle=0xb215c88,

pWidget=0x89b3870)

    at /home/webmaster/dev/cpp/QGIS/src/core/composer/qgscomposermap.cpp:422

#10 0x00007ffff5619deb in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#11 0x00007ffff55d7b89 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#12 0x00007ffff568a81d in QGraphicsEffectSource::draw(QPainter*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#13 0x00007ffff65feac9 in QgsComposerEffect::draw (this=0xbc69de0, painter=0x7fffffffb0b0)

    at /home/webmaster/dev/cpp/QGIS/src/core/composer/qgscomposereffect.cpp:42

#14 0x00007ffff561aab3 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#15 0x00007ffff561b396 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

It's not happening with all map items, I've been able to replicate this issue with one project, unfortunately I can't figure out a way to reduce

the project to a size that can be shared.
History

#1 - 2016-06-22 06:30 AM - Jürgen Fischer

- Assignee deleted (Nyall Dawson)

#2 - 2016-09-09 08:08 PM - Nyall Dawson

- Resolution set to not reproducable

- Status changed from Open to Closed

Not enough here to go by - please reopen if you can determine a reproducable way to get this crash.
